<?php
namespace nur\sery\schema\types;

use nulib\cl;

class tarray implements IType {
  static function ensure_array(&$array): void {
    if (!is_array($array)) $array = cl::with($array);
  }

  static function ensure_narray(&$array): void {
    if ($array !== null) self::ensure_array($array);
  }
}
